Notification center endpoints
Network-level configurations
This part of the API is in Beta status. For details, see the API release lifecycle documentation. Returns the notification center configuration.
The notification center configuration was successfully returned.
NotificationCenterConfig
Your user is not allowed to operate against this API instance
Your user, although recognized, is not authorized to use this endpoint
The requested entity was not found
GET /api/configurations/notifications HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"channels": [
{
"enabled": true,
"events": [
"PICK_JOB_CREATED"
],
"id": "text",
"receiver": [
{
"email": "phil.bison@fulfillmenttools.com",
"language": "de_DE"
}
],
"type": "EMAIL"
}
],
"created": "2026-01-01T00:00:00.000Z",
"lastModified": "2026-01-01T00:00:00.000Z",
"version": 1
}This part of the API is in Beta status. For details, see the API release lifecycle documentation. Update the notification center configuration.
Notification center configuration was successfully updated.
NotificationCenterConfig
Notification center configuration was successfully created.
Invalid input. See response for details.
Your user is not allowed to operate against this API instance
Your user, although recognized, is not authorized to use this endpoint
A version conflict occurred.
PUT /api/configurations/notifications HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 164
{
"channels": [
{
"enabled": true,
"events": [
"PICK_JOB_CREATED"
],
"receiver": [
{
"email": "phil.bison@fulfillmenttools.com",
"language": "de_DE"
}
],
"type": "EMAIL"
}
],
"version": 1
}{
"channels": [
{
"enabled": true,
"events": [
"PICK_JOB_CREATED"
],
"id": "text",
"receiver": [
{
"email": "phil.bison@fulfillmenttools.com",
"language": "de_DE"
}
],
"type": "EMAIL"
}
],
"created": "2026-01-01T00:00:00.000Z",
"lastModified": "2026-01-01T00:00:00.000Z",
"version": 1
}This part of the API is in Beta status. For details, see the API release lifecycle documentation. Executes an action to manipulate the notification center configuration.
Notification center configuration action was successfully executed.
NotificationCenterConfig
Invalid input. See response for details.
Your user is not allowed to operate against this API instance
Your user, although recognized, is not authorized to use this endpoint
A version conflict occurred.
POST /api/configurations/notifications/actions HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 182
{
"channel": {
"enabled": true,
"events": [
"PICK_JOB_CREATED"
],
"receiver": [
{
"email": "phil.bison@fulfillmenttools.com",
"language": "de_DE"
}
],
"type": "EMAIL"
},
"name": "ADD_CHANNEL",
"version": 1
}{
"channels": [
{
"enabled": true,
"events": [
"PICK_JOB_CREATED"
],
"id": "text",
"receiver": [
{
"email": "phil.bison@fulfillmenttools.com",
"language": "de_DE"
}
],
"type": "EMAIL"
}
],
"created": "2026-01-01T00:00:00.000Z",
"lastModified": "2026-01-01T00:00:00.000Z",
"version": 1
}This part of the API is in Beta status. For details, see the API release lifecycle documentation. Delete the notification channel.
Notification center config channel was successfully deleted.
No content
Invalid input. See response for details.
Your user is not allowed to operate against this API instance
Your user, although recognized, is not authorized to use this endpoint
The requested entity was not found
A version conflict occurred.
DELETE /api/configurations/notifications/channels/{channelId}?version=1 HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
No content
Facility-level configurations
This part of the API is in Beta status. For details, see the API release lifecycle documentation. Returns the notification center facility configuration.
The notification center facility configuration was successfully returned.
NotificationCenterConfig
Your user is not allowed to operate against this API instance
Your user, although recognized, is not authorized to use this endpoint
The requested entity was not found
GET /api/facilities/{facilityRef}/configurations/notifications HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"channels": [
{
"enabled": true,
"events": [
"PICK_JOB_CREATED"
],
"id": "text",
"receiver": [
{
"email": "phil.bison@fulfillmenttools.com",
"language": "de_DE"
}
],
"type": "EMAIL"
}
],
"created": "2026-01-01T00:00:00.000Z",
"lastModified": "2026-01-01T00:00:00.000Z",
"version": 1
}This part of the API is in Beta status. For details, see the API release lifecycle documentation. Executes an action to manipulate the notification center facility configuration.
Notification center facility configuration action was successfully executed.
NotificationCenterConfig
Invalid input. See response for details.
Your user is not allowed to operate against this API instance
Your user, although recognized, is not authorized to use this endpoint
The requested entity was not found
A version conflict occurred.
POST /api/facilities/{facilityRef}/configurations/notifications/actions HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 182
{
"channel": {
"enabled": true,
"events": [
"PICK_JOB_CREATED"
],
"receiver": [
{
"email": "phil.bison@fulfillmenttools.com",
"language": "de_DE"
}
],
"type": "EMAIL"
},
"name": "ADD_CHANNEL",
"version": 1
}{
"channels": [
{
"enabled": true,
"events": [
"PICK_JOB_CREATED"
],
"id": "text",
"receiver": [
{
"email": "phil.bison@fulfillmenttools.com",
"language": "de_DE"
}
],
"type": "EMAIL"
}
],
"created": "2026-01-01T00:00:00.000Z",
"lastModified": "2026-01-01T00:00:00.000Z",
"version": 1
}This part of the API is in Beta status. For details, see the API release lifecycle documentation. Update the notification center facility configuration.
Notification center facility configuration was successfully updated.
NotificationCenterConfig
Notification center facility configuration was successfully created.
Invalid input. See response for details.
Your user is not allowed to operate against this API instance
Your user, although recognized, is not authorized to use this endpoint
The requested entity was not found
A version conflict occurred.
PUT /api/facilities/{facilityRef}/configurations/notifications HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 164
{
"channels": [
{
"enabled": true,
"events": [
"PICK_JOB_CREATED"
],
"receiver": [
{
"email": "phil.bison@fulfillmenttools.com",
"language": "de_DE"
}
],
"type": "EMAIL"
}
],
"version": 1
}{
"channels": [
{
"enabled": true,
"events": [
"PICK_JOB_CREATED"
],
"id": "text",
"receiver": [
{
"email": "phil.bison@fulfillmenttools.com",
"language": "de_DE"
}
],
"type": "EMAIL"
}
],
"created": "2026-01-01T00:00:00.000Z",
"lastModified": "2026-01-01T00:00:00.000Z",
"version": 1
}This part of the API is in Beta status. For details, see the API release lifecycle documentation. Delete the notification facility channel.
Notification center facility config channel was successfully deleted.
No content
Invalid input. See response for details.
Your user is not allowed to operate against this API instance
Your user, although recognized, is not authorized to use this endpoint
The requested entity was not found
A version conflict occurred.
DELETE /api/facilities/{facilityRef}/configurations/notifications/channels/{channelId}?version=1 HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
No content
Last updated
Was this helpful?

